apiVersion: instancetype.kubevirt.io/v1beta1
kind: VirtualMachineClusterInstancetype
metadata:
  name: a
spec:
  cpu:
    dedicatedCPUPlacement: true
    guest: 10
    isolateEmulatorThread: true
    maxSockets: 14
    numa:
      guestMappingPassthrough: {}
  ioThreadsPolicy: auto
  memory:
    guest: 2Gi
    hugepages:
      pageSize: 1Gi
---
apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: "2025-09-09T16:30:17.591159028Z"
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  creationTimestamp: "2025-09-09T16:30:17Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  generation: 1
  name: rhel-10-purple-cat-25
  namespace: default
  resourceVersion: "321281"
  uid: 711a6144-e2be-4c45-ac8c-baa43f21c196
spec:
  dataVolumeTemplates:
  - metadata:
      creationTimestamp: null
      name: rhel-10-purple-cat-25-volume
    spec:
      sourceRef:
        kind: DataSource
        name: rhel10
        namespace: openshift-virtualization-os-images
      storage:
        resources:
          requests:
            storage: 30Gi
        storageClassName: ocs-storagecluster-ceph-rbd-virtualization
  instancetype:
    kind: virtualmachineclusterinstancetype
    name: a
  preference:
    kind: virtualmachineclusterpreference
    name: rhel.10
  runStrategy: Always
  template:
    metadata:
      creationTimestamp: null
      labels:
        network.kubevirt.io/headlessService: headless
    spec:
      architecture: amd64
      domain:
        devices:
          autoattachPodInterface: false
          interfaces:
          - macAddress: 02:ce:c3:10:1b:4b
            masquerade: {}
            name: default
        firmware:
          uuid: ef26e056-984b-410b-b582-fb72a937f68b
        machine:
          type: pc-q35-rhel9.6.0
        resources: {}
      networks:
      - name: default
        pod: {}
      subdomain: headless
      volumes:
      - dataVolume:
          name: rhel-10-purple-cat-25-volume
        name: rootdisk
      - cloudInitNoCloud:
          userData: |
            #cloud-config
            chpasswd:
              expire: false
            password: njy5-vrcg-w3og
            user: rhel
        name: cloudinitdisk
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-09-09T16:34:52Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    message: All of the VMI's DVs are bound and ready
    reason: AllDVsReady
    status: "True"
    type: DataVolumesReady
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: LiveMigratable
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: StorageLiveMigratable
  - lastProbeTime: "2025-09-09T16:35:13Z"
    lastTransitionTime: null
    status: "True"
    type: AgentConnected
  created: true
  desiredGeneration: 1
  instancetypeRef:
    controllerRevisionRef:
      name: rhel-10-purple-cat-25-a-v1beta1-080cc9e6-faa5-4c27-910b-d4feab05fb14-2
    kind: virtualmachineclusterinstancetype
    name: a
  observedGeneration: 1
  preferenceRef:
    controllerRevisionRef:
      name: rhel-10-purple-cat-25-rhel.10-v1beta1-5900d211-3101-4941-8eb1-e4174292e39f-1
    kind: virtualmachineclusterpreference
    name: rhel.10
  printableStatus: Running
  ready: true
  runStrategy: Always
  volumeSnapshotStatuses:
  - enabled: true
    name: rootdisk
  - enabled: false
    name: cloudinitdisk
    reason: Snapshot is not supported for this volumeSource type [cloudinitdisk]